Main Page Widgets Namespaces Book

# Gtk::PrintJob Class Reference

Inheritance diagram for Gtk::PrintJob:

[legend]
List of all members.

## Public Types

typedef sigc::slot< void, const Glib::RefPtr<PrintJob >&> | SlotPrintJobComplete
| For example, void on_print_job_complete(const Glib::RefPtr<PrintJob>& job);.

## Public Member Functions

Glib::RefPtr<const Printer> | get_printer () const
Glib::RefPtr<Printer> | get_printer ()
Glib::RefPtr<const PrintSettings> | get_settings () const
Glib::RefPtr<PrintSettings> | get_settings ()
PrintStatus | get_status () const
Cairo::RefPtr<Cairo::Surface> | get_surface ()
Glib::ustring | get_title () const
bool | get_track_print_status () const
const GtkPrintJob* | gobj () const
| Provides access to the underlying C GObject.
GtkPrintJob* | gobj ()
| Provides access to the underlying C GObject.
GtkPrintJob* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<PageSetup >> | property_page_setup () const
| Page Setup.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Printer >> | property_printer () const
| Printer to print the job to.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<PrintSettings >> | property_settings () const
| Printer settings.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_title () const
| Title of the print job.
void | send (const SlotPrintJobComplete& slot)
| TODO: document this.
void | set_source_file (const std::string& filename)
void | set_track_print_status (bool track_status=true)
Glib::SignalProxy0<void> | signal_status_changed ()
virtual | ~PrintJob ()

## Static Public Member Functions

static Glib::RefPtr<PrintJob> | create (const Glib::ustring& title, const Glib::RefPtr<Printer>& printer, const Glib::RefPtr<PrintSettings>& settings, const Glib::RefPtr<PageSetup>& page_setup)

## Protected Member Functions

virtual void | on_status_changed ()
| PrintJob (const Glib::ustring& title, const Glib::RefPtr<Printer>& printer, const Glib::RefPtr<PrintSettings>& settings, const Glib::RefPtr<PageSetup>& page_setup)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::PrintJob> | wrap (GtkPrintJob* object, bool take_copy=false)

## Member Typedef Documentation

typedef sigc::slot<void, const Glib::RefPtr<PrintJob>&> Gtk::PrintJob::SlotPrintJobComplete

For example, void on_print_job_complete(const Glib::RefPtr<PrintJob>& job);.

Exceptions:

  | exception |

## Constructor & Destructor Documentation

virtual Gtk::PrintJob::~PrintJob | ( |  | ) | `[virtual]`

Gtk::PrintJob::PrintJob | ( | const Glib::ustring& | title,
|  | const Glib::RefPtr<Printer>& | printer,
|  | const Glib::RefPtr<PrintSettings>& | settings,
|  | const Glib::RefPtr<PageSetup>& | page_setup
| ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<PrintJob> Gtk::PrintJob::create | ( | const Glib::ustring& | title,
|  | const Glib::RefPtr<Printer>& | printer,
|  | const Glib::RefPtr<PrintSettings>& | settings,
|  | const Glib::RefPtr<PageSetup>& | page_setup
| ) | `[static]`

Glib::RefPtr<const Printer> Gtk::PrintJob::get_printer | ( |  | ) | const

Glib::RefPtr<Printer> Gtk::PrintJob::get_printer | ( |  | ) |

Glib::RefPtr<const PrintSettings> Gtk::PrintJob::get_settings | ( |  | ) | const

Glib::RefPtr<PrintSettings> Gtk::PrintJob::get_settings | ( |  | ) |

PrintStatus Gtk::PrintJob::get_status | ( |  | ) | const

Cairo::RefPtr<Cairo::Surface> Gtk::PrintJob::get_surface | ( |  | ) |

Glib::ustring Gtk::PrintJob::get_title | ( |  | ) | const

bool Gtk::PrintJob::get_track_print_status | ( |  | ) | const

const GtkPrintJob* Gtk::PrintJob::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkPrintJob* Gtk::PrintJob::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkPrintJob* Gtk::PrintJob::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

virtual void Gtk::PrintJob::on_status_changed | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<PageSetup>> Gtk::PrintJob::property_page_setup | ( |  | ) | const

Page Setup.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Printer>> Gtk::PrintJob::property_printer | ( |  | ) | const

Printer to print the job to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<PrintSettings>> Gtk::PrintJob::property_settings | ( |  | ) | const

Printer settings.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::PrintJob::property_title | ( |  | ) | const

Title of the print job.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::PrintJob::send | ( | const SlotPrintJobComplete& | slot | ) |

| TODO: document this.

void Gtk::PrintJob::set_source_file | ( | const std::string& | filename | ) |

void Gtk::PrintJob::set_track_print_status | ( | bool | track_status = `true` | ) |

Glib::SignalProxy0<void> Gtk::PrintJob::signal_status_changed | ( |  | ) |

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::PrintJob> wrap | ( | GtkPrintJob* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- printjob.h